Package org.apache.synapse.transport.http.conn

## Enum SynapseWireLogHolder.PHASE

- java.lang.Object
- - java.lang.Enum<SynapseWireLogHolder.PHASE>
  - - org.apache.synapse.transport.http.conn.SynapseWireLogHolder.PHASE

- All Implemented Interfaces:
    `Serializable`, `Comparable<SynapseWireLogHolder.PHASE>`
  Enclosing class:
    SynapseWireLogHolder

      public static enum SynapseWireLogHolder.PHASE
      extends Enum<SynapseWireLogHolder.PHASE>

  These are the phases to determine request responses in wire level

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SOURCE_REQUEST_DONE` |
    `SOURCE_REQUEST_READY` |
    `SOURCE_RESPONSE_DONE` |
    `SOURCE_RESPONSE_READY` |
    `TARGET_REQUEST_DONE` |
    `TARGET_REQUEST_READY` |
    `TARGET_RESPONSE_DONE` |
    `TARGET_RESPONSE_READY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SynapseWireLogHolder.PHASE` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SynapseWireLogHolder.PHASE[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOURCE_REQUEST_READY

          public static final SynapseWireLogHolder.PHASE SOURCE_REQUEST_READY

    - #### SOURCE_REQUEST_DONE

          public static final SynapseWireLogHolder.PHASE SOURCE_REQUEST_DONE

    - #### TARGET_REQUEST_READY

          public static final SynapseWireLogHolder.PHASE TARGET_REQUEST_READY

    - #### TARGET_REQUEST_DONE

          public static final SynapseWireLogHolder.PHASE TARGET_REQUEST_DONE

    - #### TARGET_RESPONSE_READY

          public static final SynapseWireLogHolder.PHASE TARGET_RESPONSE_READY

    - #### TARGET_RESPONSE_DONE

          public static final SynapseWireLogHolder.PHASE TARGET_RESPONSE_DONE

    - #### SOURCE_RESPONSE_READY

          public static final SynapseWireLogHolder.PHASE SOURCE_RESPONSE_READY

    - #### SOURCE_RESPONSE_DONE

          public static final SynapseWireLogHolder.PHASE SOURCE_RESPONSE_DONE

  - ### Method Detail

    - #### values

          public static SynapseWireLogHolder.PHASE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SynapseWireLogHolder.PHASE c : SynapseWireLogHolder.PHASE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SynapseWireLogHolder.PHASE valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null